Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.client
Class HL7EwayConnection

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPEwayConnection
          com.stc.connector.tcpip.ext.client.TCPIPEXTEwayConnection
              com.stc.connector.tcpip.hl7.client.HL7EwayConnection

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayConnection, com.stc.connector.framework.eway.ValidatingEwayConnection, com.stc.connector.management.STCManagedSlave

    public class HL7EwayConnection

extends TCPIPEXTEwayConnection
implements com.stc.connector.framework.eway.EwayConnection

This class implements the EwayConnection interface for the extended TCPIP connection oriented services for the Eway/JCA framework.

Version:
  cvs revision: $Revision: 1.19 $ Last Modified: $Date: 2008/04/24 12:54:13 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.client.TCPIPEwayConnection
`mMonitorData`

Constructor Summary
`HL7EwayConnection()` Constructor for HL7EwayConnection.

Method Summary
`void` | `cleanup()` Perform clean up of any resources or reset of any state held by the instance of EwayConnection.
`TCPIPClientApplication` | `createTCPIPClientApplication(TCPIPApplicationConnection appConn, java.lang.String appName)` Creates TCPIPClientApplication object.
`void` | `destroy()` Release any resources prior to the destruction of the associated ManagedConnection.
`HL7MessageInfo` | `getHL7MessageInfo()` Returns the hl7MessageInfo.
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()` Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.
`void` | `initialize(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback, javax.security.auth.Subject aSubject, javax.resource.spi.ConnectionRequestInfo aConfiguration, com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)` Method initialize used to initializ the eway connection.
`protected void` | `initializeMsg()` Method initializeMsg.
`void` | `setHL7MessageInfo(HL7MessageInfo hl7MessageInfo)` Sets the hl7MessageInfo.

Methods inherited from class com.stc.connector.tcpip.ext.client.TCPIPEXTEwayConnection
`getMessageInfo, setMessageInfo`

Methods inherited from class com.stc.connector.tcpip.model.client.TCPIPEwayConnection
`closeConnection, destroyConnectionHandles, generateAlert, getConfiguration, getConnection, getConnectionHandles, getCurrentApplicationConnection, getLocalTransaction, getManagedConnectionCallback, getMonitor, getSocket, getSubject, getTCPIPClientGeneralInfo, getTCPIPResourceAdapter, getTCPIPSocketInfo, getXAResource, isValidConnection, matchConnection, setMonitor, setTCPIPClientGeneralInfo, setTCPIPSocketInfo, updateMBeanConnectionStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.framework.eway.EwayConnection
`getConnection, getLocalTransaction, getXAResource, matchConnection`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7EwayConnection

    public HL7EwayConnection()

  Constructor for HL7EwayConnection.

Method Detail

### initialize

    public void initialize(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback,
                           javax.security.auth.Subject aSubject,
                           javax.resource.spi.ConnectionRequestInfo aConfiguration,
                           com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)
                    throws javax.resource.ResourceException

  Method initialize used to initializ the eway connection.

  Specified by:
    `initialize` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `initialize` in class `TCPIPEXTEwayConnection`
  Parameters:
    `aCallback` - ManagedConnectionCallback
    `aSubject` - Subject
    `aConfiguration` - ConnectionRequestInfo
    `aMonitorDataContainer` - MonitorDataContainer
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `EwayConnection.initialize(ManagedConnectionCallback, Subject, ConnectionRequestInfo, MonitorDataContainer)`

### initializeMsg

    protected void initializeMsg()
                          throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Method initializeMsg.

  Overrides:
    `initializeMsg` in class `TCPIPEXTEwayConnection`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `TCPIPEwayConnection.initializeMsg()`

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Perform clean up of any resources or reset of any state held by the instance of EwayConnection.

  Specified by:
    `cleanup` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `cleanup` in class `TCPIPEXTEwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.cleanup()`

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Release any resources prior to the destruction of the associated ManagedConnection.

  Specified by:
    `destroy` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `destroy` in class `TCPIPEXTEwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.destroy()`

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.

  Specified by:
    `getMetaData` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `getMetaData` in class `TCPIPEXTEwayConnection`
  Returns:
    An instance of ManagedConnectionMetaData which contains information about the current established connection to the EIS.
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.getMetaData()`

### createTCPIPClientApplication

    public TCPIPClientApplication createTCPIPClientApplication(TCPIPApplicationConnection appConn,
                                                               java.lang.String appName)
                                                        throws TCPIPApplicationException

  Description copied from class: `TCPIPEwayConnection`
  Creates TCPIPClientApplication object.

  Overrides:
    `createTCPIPClientApplication` in class `TCPIPEXTEwayConnection`
  Parameters:
    `appConn` - TCPIPApplicationConnection instance
    `appName` - Application name
  Returns:
    TCPIPClientApplication object
  Throws:
    `TCPIPApplicationException` - up on an error
  See Also:
    `TCPIPEwayConnection.createTCPIPClientApplication(TCPIPApplicationConnection, String)`

### getHL7MessageInfo

    public HL7MessageInfo getHL7MessageInfo()

  Returns the hl7MessageInfo.

  Returns:
    HL7MessageInfo

### setHL7MessageInfo

    public void setHL7MessageInfo(HL7MessageInfo hl7MessageInfo)

  Sets the hl7MessageInfo.

  Parameters:
    `hl7MessageInfo` - The hl7MessageInfo to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD